Create a data source
curl --request POST \
--url https://{region}.affinda.com/v3/mapping_data_sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My supplier list",
"organization": "mewlkWEKL",
"workspace": "mewlkWEKL",
"keyProperty": "value",
"displayProperty": "label",
"values": [
{}
],
"schema": {
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"label"
],
"properties": {
"label": {
"type": "string"
},
"description": {
"type": "string"
}
}
}
}
'import requests
url = "https://{region}.affinda.com/v3/mapping_data_sources"
payload = {
"name": "My supplier list",
"organization": "mewlkWEKL",
"workspace": "mewlkWEKL",
"keyProperty": "value",
"displayProperty": "label",
"values": [{}],
"schema": {
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": ["label"],
"properties": {
"label": { "type": "string" },
"description": { "type": "string" }
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My supplier list',
organization: 'mewlkWEKL',
workspace: 'mewlkWEKL',
keyProperty: 'value',
displayProperty: 'label',
values: [{}],
schema: {
type: 'object',
$schema: 'http://json-schema.org/draft-07/schema#',
required: ['label'],
properties: {label: {type: 'string'}, description: {type: 'string'}}
}
})
};
fetch('https://{region}.affinda.com/v3/mapping_data_sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"identifier": "mEFayXdO",
"keyProperty": "value",
"displayProperty": "value",
"organization": "mewlkWEKL",
"workspace": "mewlkWEKL",
"name": "My supplier list",
"schema": {
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"label"
],
"properties": {
"label": {
"type": "string"
},
"description": {
"type": "string"
}
}
}
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Data Sources
Create a data source
Create a custom mapping data source.
POST
/
v3
/
mapping_data_sources
Create a data source
curl --request POST \
--url https://{region}.affinda.com/v3/mapping_data_sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My supplier list",
"organization": "mewlkWEKL",
"workspace": "mewlkWEKL",
"keyProperty": "value",
"displayProperty": "label",
"values": [
{}
],
"schema": {
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"label"
],
"properties": {
"label": {
"type": "string"
},
"description": {
"type": "string"
}
}
}
}
'import requests
url = "https://{region}.affinda.com/v3/mapping_data_sources"
payload = {
"name": "My supplier list",
"organization": "mewlkWEKL",
"workspace": "mewlkWEKL",
"keyProperty": "value",
"displayProperty": "label",
"values": [{}],
"schema": {
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": ["label"],
"properties": {
"label": { "type": "string" },
"description": { "type": "string" }
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My supplier list',
organization: 'mewlkWEKL',
workspace: 'mewlkWEKL',
keyProperty: 'value',
displayProperty: 'label',
values: [{}],
schema: {
type: 'object',
$schema: 'http://json-schema.org/draft-07/schema#',
required: ['label'],
properties: {label: {type: 'string'}, description: {type: 'string'}}
}
})
};
fetch('https://{region}.affinda.com/v3/mapping_data_sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"identifier": "mEFayXdO",
"keyProperty": "value",
"displayProperty": "value",
"organization": "mewlkWEKL",
"workspace": "mewlkWEKL",
"name": "My supplier list",
"schema": {
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"label"
],
"properties": {
"label": {
"type": "string"
},
"description": {
"type": "string"
}
}
}
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Body
application/json
A mapping data source is used to map from raw data found by our AI models to records in your database.
Response
Successfully created a mapping data source.
A mapping data source is used to map from raw data found by our AI models to records in your database.

